Announcements
IMPORTANT: Cypress Developer Community is transitioning on October 20th. To learn more and be prepared for this change, check out our latest announcement.
cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC Creator & Designer Software

Anonymous
Not applicable

I am having a problem trying to import a PSoC Creator 4.0 project to Eclipse (I'm using Windows 10 x64). I've been following the tutorial provided in the help file (http://www.cypress.com/file/137441/download) but have had no luck. I am able to complete the Eclipse export from within PSoC Creator 4.0. I also have the Cpyress-provided Eclipse feature installed in Eclipse and am able to select "PSoC Creator Project" project type in the "Create new C project" window of Eclipse. I can also select the directory correct directory on the "Cross GCC Command" wizard page, which is what allows the "Finish" button to become available. 

   

Here is where the problem happens. When I hit "Finish" I get an error that says: Project cannot be created   Reason: Internal Error:    java.lang.NullPointerException.   (I have attached an image of the popup to this post). 

   

So far I've tried:

   
        
  • Reinstalling GNU Tools ARM Embedded
  •     
  • Using the PSoC Creator ARM GCC installation instead of the GNU Tools ARM Embedded one
  •     
  • Creating a new PSoC creator project from example code and exporting that new project
  •     
  • Using multiple versions of Eclipse (Current Neon release, Kepler SR2, Juno SR2)
  •     
  • Re-downloading/installing the PSoC Creator Eclipse Importer
  •     
  • Removing any spaces from the project path
  •     
  • I am able to create a normal C project in Eclipse; the problem only happens when I'm trying to create a PSoC project. 
  •     
  • And I'm about to try sacrificing a goat on the alter of the Cypress gods
  •    
   

 

   

Has anyone dealt with this before? I've not had much luck searching for the specific issue in the context of exporting from PSoC Creator. Any guidance would be greatly appreciated.

   

 

   

Thanks,

   

Matthew

0 Likes
1 Solution
AnkitaS_51
Employee

Older version of PSoC Creator Eclipse Import plugin is used with the latest version of PSoC Creator. For example, PSoC Creator 4.0 needs “PSoC Creator Eclipse Import v2.3.1.zip (Luna, Mars)” plugin available at this link-

   

http://www.cypress.com/products/psoc-creator-integrated-design-environment-ide

   

You can look into this TSG for Export issues-

   

http://www.cypress.com/knowledge-base-article/troubleshooting-psoc-creator-issues-kba217546

View solution in original post

0 Likes
6 Replies
AnkitaS_51
Employee

Older version of PSoC Creator Eclipse Import plugin is used with the latest version of PSoC Creator. For example, PSoC Creator 4.0 needs “PSoC Creator Eclipse Import v2.3.1.zip (Luna, Mars)” plugin available at this link-

   

http://www.cypress.com/products/psoc-creator-integrated-design-environment-ide

   

You can look into this TSG for Export issues-

   

http://www.cypress.com/knowledge-base-article/troubleshooting-psoc-creator-issues-kba217546

View solution in original post

0 Likes
Anonymous
Not applicable

Thanks for the response! Looking at the download page, the dowload link for “PSoC Creator Eclipse Import v2.3.1.zip (Luna, Mars)” isn't valid, so I can't download it. This problem is present using Chrome, IE, and Edge. Is it possible to get a copy of the file? 

0 Likes
AnkitaS_51
Employee

Here,you can get that-

0 Likes
Anonymous
Not applicable

Hi 

   

Thank you for your reply, I have successfully created the Eclipse project according to your reply, but I can't compile, don't know how to set up the relevant parameters, detail see attachment, thank you.

0 Likes
AnkitaS_51
Employee

Make sure Eclipse Luna or later and Java 7 or later are installed in the system.

   

See the pic for settings-

0 Likes
sugac_3385211
New Contributor II

We are working on morata  LBEE5PA1LD-005 this particular SOC has STM32F412 microcontroller + CYW43438 mircocontroller,we want to integrate WICED SDK with existing IAR project.

Is thereany librariy file of WICED SDK ?

Is there any step to include the source of WICED SDK into IAR ?

Thanks,

Suresh

0 Likes